<?php
use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Get ServiceType
 * @subpackage Services
 */
class Get extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named getUrzedyNadania
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetUrzedyNadania $parameters
     * @return GetUrzedyNadaniaResponse|bool
     */
    public function getUrzedyNadania(GetUrzedyNadania $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getUrzedyNadania($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getUrzedyWydajaceEPrzesylki
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetUrzedyWydajaceEPrzesylki $parameters
     * @return GetUrzedyWydajaceEPrzesylkiResponse|bool
     */
    public function getUrzedyWydajaceEPrzesylki(GetUrzedyWydajaceEPrzesylki $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getUrzedyWydajaceEPrzesylki($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getEnvelopeStatus
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetEnvelopeStatus $parameters
     * @return GetEnvelopeStatusResponse|bool
     */
    public function getEnvelopeStatus(GetEnvelopeStatus $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getEnvelopeStatus($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getKarty
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetKarty $parameters
     * @return GetKartyResponse|bool
     */
    public function getKarty(GetKarty $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getKarty($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getPasswordExpiredDate
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetPasswordExpiredDate $parameters
     * @return GetPasswordExpiredDateResponse|bool
     */
    public function getPasswordExpiredDate(GetPasswordExpiredDate $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getPasswordExpiredDate($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getEnvelopeContentShort
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetEnvelopeContentShort $parameters
     * @return GetEnvelopeContentShortResponse|bool
     */
    public function getEnvelopeContentShort(GetEnvelopeContentShort $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getEnvelopeContentShort($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getEnvelopeContentFull
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetEnvelopeContentFull $parameters
     * @return GetEnvelopeContentFullResponse|bool
     */
    public function getEnvelopeContentFull(GetEnvelopeContentFull $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getEnvelopeContentFull($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getAddressLabel
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetAddressLabel $parameters
     * @return GetAddressLabelResponse|bool
     */
    public function getAddressLabel(GetAddressLabel $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getAddressLabel($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getOutboxBook
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetOutboxBook $parameters
     * @return GetOutboxBookResponse|bool
     */
    public function getOutboxBook(GetOutboxBook $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getOutboxBook($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getFirmowaPocztaBook
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetFirmowaPocztaBook $parameters
     * @return GetFirmowaPocztaBookResponse|bool
     */
    public function getFirmowaPocztaBook(GetFirmowaPocztaBook $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getFirmowaPocztaBook($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getEnvelopeList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetEnvelopeList $parameters
     * @return GetEnvelopeListResponse|bool
     */
    public function getEnvelopeList(GetEnvelopeList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getEnvelopeList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getAddresLabelByGuid
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetAddresLabelByGuid $parameters
     * @return GetAddresLabelByGuidResponse|bool
     */
    public function getAddresLabelByGuid(GetAddresLabelByGuid $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getAddresLabelByGuid($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getPlacowkiPocztowe
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetPlacowkiPocztowe $parameters
     * @return GetPlacowkiPocztoweResponse|bool
     */
    public function getPlacowkiPocztowe(GetPlacowkiPocztowe $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getPlacowkiPocztowe($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getGuid
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetGuid $parameters
     * @return GetGuidResponse|bool
     */
    public function getGuid(GetGuid $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getGuid($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getKierunki
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetKierunki $parameters
     * @return GetKierunkiResponse|bool
     */
    public function getKierunki(GetKierunki $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getKierunki($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getKierunkiInfo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetKierunkiInfo $parameters
     * @return GetKierunkiInfoResponse|bool
     */
    public function getKierunkiInfo(GetKierunkiInfo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getKierunkiInfo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getEnvelopeBufor
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetEnvelopeBufor $parameters
     * @return GetEnvelopeBuforResponse|bool
     */
    public function getEnvelopeBufor(GetEnvelopeBufor $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getEnvelopeBufor($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getEPOStatus
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetEPOStatus $parameters
     * @return GetEPOStatusResponse|bool
     */
    public function getEPOStatus(GetEPOStatus $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getEPOStatus($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getAddresLabelCompact
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetAddresLabelCompact $parameters
     * @return GetAddresLabelCompactResponse|bool
     */
    public function getAddresLabelCompact(GetAddresLabelCompact $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getAddresLabelCompact($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getAddresLabelByGuidCompact
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetAddresLabelByGuidCompact $parameters
     * @return GetAddresLabelByGuidCompactResponse|bool
     */
    public function getAddresLabelByGuidCompact(GetAddresLabelByGuidCompact $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getAddresLabelByGuidCompact($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getEnvelopeBuforList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetEnvelopeBuforList $parameters
     * @return GetEnvelopeBuforListResponse|bool
     */
    public function getEnvelopeBuforList(GetEnvelopeBuforList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getEnvelopeBuforList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getUbezpieczeniaInfo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetUbezpieczeniaInfo $parameters
     * @return GetUbezpieczeniaInfoResponse|bool
     */
    public function getUbezpieczeniaInfo(GetUbezpieczeniaInfo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getUbezpieczeniaInfo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getBlankietPobraniaByGuids
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetBlankietPobraniaByGuids $parameters
     * @return GetBlankietPobraniaByGuidsResponse|bool
     */
    public function getBlankietPobraniaByGuids(GetBlankietPobraniaByGuids $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getBlankietPobraniaByGuids($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getAccountList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetAccountList $parameters
     * @return GetAccountListResponse|bool
     */
    public function getAccountList(GetAccountList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getAccountList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getProfilList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetProfilList $parameters
     * @return GetProfilListResponse|bool
     */
    public function getProfilList(GetProfilList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getProfilList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getReklamacje
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetReklamacje $parameters
     * @return GetReklamacjeResponse|bool
     */
    public function getReklamacje(GetReklamacje $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getReklamacje($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getZapowiedziFaktur
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetZapowiedziFaktur $parameters
     * @return GetZapowiedziFakturResponse|bool
     */
    public function getZapowiedziFaktur(GetZapowiedziFaktur $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getZapowiedziFaktur($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getListaPowodowReklamacji
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetListaPowodowReklamacji $parameters
     * @return GetListaPowodowReklamacjiResponse|bool
     */
    public function getListaPowodowReklamacji(GetListaPowodowReklamacji $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getListaPowodowReklamacji($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getEZDO
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetEZDO $parameters
     * @return GetEZDOResponse|bool
     */
    public function getEZDO(GetEZDO $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getEZDO($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getEZDOList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetEZDOList $parameters
     * @return GetEZDOListResponse|bool
     */
    public function getEZDOList(GetEZDOList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getEZDOList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getWplatyCKP
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetWplatyCKP $parameters
     * @return GetWplatyCKPResponse|bool
     */
    public function getWplatyCKP(GetWplatyCKP $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getWplatyCKP($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getListaZgodEZwrotow
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetListaZgodEZwrotow $parameters
     * @return GetListaZgodEZwrotowResponse|bool
     */
    public function getListaZgodEZwrotow(GetListaZgodEZwrotow $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getListaZgodEZwrotow($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getPaczkaKorzysciInfo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetPaczkaKorzysciInfo $parameters
     * @return GetPaczkaKorzysciInfoResponse|bool
     */
    public function getPaczkaKorzysciInfo(GetPaczkaKorzysciInfo $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getPaczkaKorzysciInfo($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getJednostkaOrganizacyjna
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetJednostkaOrganizacyjna $parameters
     * @return GetJednostkaOrganizacyjnaResponse|bool
     */
    public function getJednostkaOrganizacyjna(GetJednostkaOrganizacyjna $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getJednostkaOrganizacyjna($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getPrintForParcel
     * Meta information extracted from the WSDL
     * - documentation: The method returns parcels printouts for passed guid's
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetPrintForParcel $parameters
     * @return GetPrintForParcelResponse|bool
     */
    public function getPrintForParcel(GetPrintForParcel $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getPrintForParcel($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getShopEZwrotyList
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetShopEZwrotyList $parameters
     * @return GetShopEZwrotyListResponse|bool
     */
    public function getShopEZwrotyList(GetShopEZwrotyList $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getShopEZwrotyList($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named getLibrariesForLegalDeposits
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param GetLibrariesForLegalDeposits $parameters
     * @return GetLibrariesForLegalDepositsResponse|bool
     */
    public function getLibrariesForLegalDeposits(GetLibrariesForLegalDeposits $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->getLibrariesForLegalDeposits($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return GetAccountListResponse|GetAddresLabelByGuidCompactResponse|GetAddresLabelByGuidResponse|GetAddresLabelCompactResponse|GetAddressLabelResponse|GetBlankietPobraniaByGuidsResponse|GetEnvelopeBuforListResponse|GetEnvelopeBuforResponse|GetEnvelopeContentFullResponse|GetEnvelopeContentShortResponse|GetEnvelopeListResponse|GetEnvelopeStatusResponse|GetEPOStatusResponse|GetEZDOListResponse|GetEZDOResponse|GetFirmowaPocztaBookResponse|GetGuidResponse|GetJednostkaOrganizacyjnaResponse|GetKartyResponse|GetKierunkiInfoResponse|GetKierunkiResponse|GetLibrariesForLegalDepositsResponse|GetListaPowodowReklamacjiResponse|GetListaZgodEZwrotowResponse|GetOutboxBookResponse|GetPaczkaKorzysciInfoResponse|GetPasswordExpiredDateResponse|GetPlacowkiPocztoweResponse|GetPrintForParcelResponse|GetProfilListResponse|GetReklamacjeResponse|GetShopEZwrotyListResponse|GetUbezpieczeniaInfoResponse|GetUrzedyNadaniaResponse|GetUrzedyWydajaceEPrzesylkiResponse|GetWplatyCKPResponse|GetZapowiedziFakturResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
