<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getListaZgodEZwrotowResponse StructType
 * @subpackage Structs
 */
class GetListaZgodEZwrotowResponse extends AbstractStructBase
{
    /**
     * The lista
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var OczekujeNaZgodeEZwrotType[]
     */
    public $lista;
    /**
     * The error
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var ErrorType[]
     */
    public $error;
    /**
     * Constructor method for getListaZgodEZwrotowResponse
     * @uses GetListaZgodEZwrotowResponse::setLista()
     * @uses GetListaZgodEZwrotowResponse::setError()
     * @param OczekujeNaZgodeEZwrotType[] $lista
     * @param ErrorType[] $error
     */
    public function __construct(array $lista = array(), array $error = array())
    {
        $this
            ->setLista($lista)
            ->setError($error);
    }
    /**
     * Get lista value
     * @return OczekujeNaZgodeEZwrotType[]|null
     */
    public function getLista()
    {
        return $this->lista;
    }
    /**
     * This method is responsible for validating the values passed to the setLista method
     * This method is willingly generated in order to preserve the one-line inline validation within the setLista method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateListaForArrayConstraintsFromSetLista(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $getListaZgodEZwrotowResponseListaItem) {
            // validation for constraint: itemType
            if (!$getListaZgodEZwrotowResponseListaItem instanceof OczekujeNaZgodeEZwrotType) {
                $invalidValues[] = is_object($getListaZgodEZwrotowResponseListaItem) ? get_class($getListaZgodEZwrotowResponseListaItem) : sprintf('%s(%s)', gettype($getListaZgodEZwrotowResponseListaItem), var_export($getListaZgodEZwrotowResponseListaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The lista property can only contain items of type OczekujeNaZgodeEZwrotType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set lista value
     * @throws \InvalidArgumentException
     * @param OczekujeNaZgodeEZwrotType[] $lista
     * @return GetListaZgodEZwrotowResponse
     */
    public function setLista(array $lista = array())
    {
        // validation for constraint: array
        if ('' !== ($listaArrayErrorMessage = self::validateListaForArrayConstraintsFromSetLista($lista))) {
            throw new \InvalidArgumentException($listaArrayErrorMessage, __LINE__);
        }
        $this->lista = $lista;
        return $this;
    }
    /**
     * Add item to lista value
     * @throws \InvalidArgumentException
     * @param OczekujeNaZgodeEZwrotType $item
     * @return GetListaZgodEZwrotowResponse
     */
    public function addToLista(OczekujeNaZgodeEZwrotType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof OczekujeNaZgodeEZwrotType) {
            throw new \InvalidArgumentException(sprintf('The lista property can only contain items of type OczekujeNaZgodeEZwrotType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->lista[] = $item;
        return $this;
    }
    /**
     * Get error value
     * @return ErrorType[]|null
     */
    public function getError()
    {
        return $this->error;
    }
    /**
     * This method is responsible for validating the values passed to the setError method
     * This method is willingly generated in order to preserve the one-line inline validation within the setError method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateErrorForArrayConstraintsFromSetError(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $getListaZgodEZwrotowResponseErrorItem) {
            // validation for constraint: itemType
            if (!$getListaZgodEZwrotowResponseErrorItem instanceof ErrorType) {
                $invalidValues[] = is_object($getListaZgodEZwrotowResponseErrorItem) ? get_class($getListaZgodEZwrotowResponseErrorItem) : sprintf('%s(%s)', gettype($getListaZgodEZwrotowResponseErrorItem), var_export($getListaZgodEZwrotowResponseErrorItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The error property can only contain items of type ErrorType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set error value
     * @throws \InvalidArgumentException
     * @param ErrorType[] $error
     * @return GetListaZgodEZwrotowResponse
     */
    public function setError(array $error = array())
    {
        // validation for constraint: array
        if ('' !== ($errorArrayErrorMessage = self::validateErrorForArrayConstraintsFromSetError($error))) {
            throw new \InvalidArgumentException($errorArrayErrorMessage, __LINE__);
        }
        $this->error = $error;
        return $this;
    }
    /**
     * Add item to error value
     * @throws \InvalidArgumentException
     * @param ErrorType $item
     * @return GetListaZgodEZwrotowResponse
     */
    public function addToError(ErrorType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof ErrorType) {
            throw new \InvalidArgumentException(sprintf('The error property can only contain items of type ErrorType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->error[] = $item;
        return $this;
    }
}
