<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for oplacaOdbiorcaKartaType StructType
 * @subpackage Structs
 */
class OplacaOdbiorcaKartaType extends AbstractStructBase
{
    /**
     * The idKarta
     * Meta information extracted from the WSDL
     * - documentation: Identyfikator karty odbiorcy opłacającego przesyłkę.
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $idKarta;
    /**
     * The idAdresKorespondencyjny
     * Meta information extracted from the WSDL
     * - documentation: Identyfikator jednego z adresów korespondencyjnych zdefiniowanych dla karty. Wymagalny dla typ=ADRESAT_UMOWNY.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $idAdresKorespondencyjny;
    /**
     * Constructor method for oplacaOdbiorcaKartaType
     * @uses OplacaOdbiorcaKartaType::setIdKarta()
     * @uses OplacaOdbiorcaKartaType::setIdAdresKorespondencyjny()
     * @param int $idKarta
     * @param int $idAdresKorespondencyjny
     */
    public function __construct($idKarta = null, $idAdresKorespondencyjny = null)
    {
        $this
            ->setIdKarta($idKarta)
            ->setIdAdresKorespondencyjny($idAdresKorespondencyjny);
    }
    /**
     * Get idKarta value
     * @return int
     */
    public function getIdKarta()
    {
        return $this->idKarta;
    }
    /**
     * Set idKarta value
     * @param int $idKarta
     * @return OplacaOdbiorcaKartaType
     */
    public function setIdKarta($idKarta = null)
    {
        // validation for constraint: int
        if (!is_null($idKarta) && !(is_int($idKarta) || ctype_digit($idKarta))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idKarta, true), gettype($idKarta)), __LINE__);
        }
        $this->idKarta = $idKarta;
        return $this;
    }
    /**
     * Get idAdresKorespondencyjny value
     * @return int|null
     */
    public function getIdAdresKorespondencyjny()
    {
        return $this->idAdresKorespondencyjny;
    }
    /**
     * Set idAdresKorespondencyjny value
     * @param int $idAdresKorespondencyjny
     * @return OplacaOdbiorcaKartaType
     */
    public function setIdAdresKorespondencyjny($idAdresKorespondencyjny = null)
    {
        // validation for constraint: int
        if (!is_null($idAdresKorespondencyjny) && !(is_int($idAdresKorespondencyjny) || ctype_digit($idAdresKorespondencyjny))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($idAdresKorespondencyjny, true), gettype($idAdresKorespondencyjny)), __LINE__);
        }
        $this->idAdresKorespondencyjny = $idAdresKorespondencyjny;
        return $this;
    }
}
