<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for setJednostkaOrganizacyjnaResponse StructType
 * @subpackage Structs
 */
class SetJednostkaOrganizacyjnaResponse extends AbstractStructBase
{
    /**
     * The error
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var ErrorType[]
     */
    public $error;
    /**
     * The jednostkaOrganizacyjna
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var JednostkaOrganizacyjnaType[]
     */
    public $jednostkaOrganizacyjna;
    /**
     * Constructor method for setJednostkaOrganizacyjnaResponse
     * @uses SetJednostkaOrganizacyjnaResponse::setError()
     * @uses SetJednostkaOrganizacyjnaResponse::setJednostkaOrganizacyjna()
     * @param ErrorType[] $error
     * @param JednostkaOrganizacyjnaType[] $jednostkaOrganizacyjna
     */
    public function __construct(array $error = array(), array $jednostkaOrganizacyjna = array())
    {
        $this
            ->setError($error)
            ->setJednostkaOrganizacyjna($jednostkaOrganizacyjna);
    }
    /**
     * Get error value
     * @return ErrorType[]|null
     */
    public function getError()
    {
        return $this->error;
    }
    /**
     * This method is responsible for validating the values passed to the setError method
     * This method is willingly generated in order to preserve the one-line inline validation within the setError method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateErrorForArrayConstraintsFromSetError(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $setJednostkaOrganizacyjnaResponseErrorItem) {
            // validation for constraint: itemType
            if (!$setJednostkaOrganizacyjnaResponseErrorItem instanceof ErrorType) {
                $invalidValues[] = is_object($setJednostkaOrganizacyjnaResponseErrorItem) ? get_class($setJednostkaOrganizacyjnaResponseErrorItem) : sprintf('%s(%s)', gettype($setJednostkaOrganizacyjnaResponseErrorItem), var_export($setJednostkaOrganizacyjnaResponseErrorItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The error property can only contain items of type ErrorType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set error value
     * @throws \InvalidArgumentException
     * @param ErrorType[] $error
     * @return SetJednostkaOrganizacyjnaResponse
     */
    public function setError(array $error = array())
    {
        // validation for constraint: array
        if ('' !== ($errorArrayErrorMessage = self::validateErrorForArrayConstraintsFromSetError($error))) {
            throw new \InvalidArgumentException($errorArrayErrorMessage, __LINE__);
        }
        $this->error = $error;
        return $this;
    }
    /**
     * Add item to error value
     * @throws \InvalidArgumentException
     * @param ErrorType $item
     * @return SetJednostkaOrganizacyjnaResponse
     */
    public function addToError(ErrorType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof ErrorType) {
            throw new \InvalidArgumentException(sprintf('The error property can only contain items of type ErrorType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->error[] = $item;
        return $this;
    }
    /**
     * Get jednostkaOrganizacyjna value
     * @return JednostkaOrganizacyjnaType[]|null
     */
    public function getJednostkaOrganizacyjna()
    {
        return $this->jednostkaOrganizacyjna;
    }
    /**
     * This method is responsible for validating the values passed to the setJednostkaOrganizacyjna method
     * This method is willingly generated in order to preserve the one-line inline validation within the setJednostkaOrganizacyjna method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateJednostkaOrganizacyjnaForArrayConstraintsFromSetJednostkaOrganizacyjna(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $setJednostkaOrganizacyjnaResponseJednostkaOrganizacyjnaItem) {
            // validation for constraint: itemType
            if (!$setJednostkaOrganizacyjnaResponseJednostkaOrganizacyjnaItem instanceof JednostkaOrganizacyjnaType) {
                $invalidValues[] = is_object($setJednostkaOrganizacyjnaResponseJednostkaOrganizacyjnaItem) ? get_class($setJednostkaOrganizacyjnaResponseJednostkaOrganizacyjnaItem) : sprintf('%s(%s)', gettype($setJednostkaOrganizacyjnaResponseJednostkaOrganizacyjnaItem), var_export($setJednostkaOrganizacyjnaResponseJednostkaOrganizacyjnaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The jednostkaOrganizacyjna property can only contain items of type JednostkaOrganizacyjnaType, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set jednostkaOrganizacyjna value
     * @throws \InvalidArgumentException
     * @param JednostkaOrganizacyjnaType[] $jednostkaOrganizacyjna
     * @return SetJednostkaOrganizacyjnaResponse
     */
    public function setJednostkaOrganizacyjna(array $jednostkaOrganizacyjna = array())
    {
        // validation for constraint: array
        if ('' !== ($jednostkaOrganizacyjnaArrayErrorMessage = self::validateJednostkaOrganizacyjnaForArrayConstraintsFromSetJednostkaOrganizacyjna($jednostkaOrganizacyjna))) {
            throw new \InvalidArgumentException($jednostkaOrganizacyjnaArrayErrorMessage, __LINE__);
        }
        $this->jednostkaOrganizacyjna = $jednostkaOrganizacyjna;
        return $this;
    }
    /**
     * Add item to jednostkaOrganizacyjna value
     * @throws \InvalidArgumentException
     * @param JednostkaOrganizacyjnaType $item
     * @return SetJednostkaOrganizacyjnaResponse
     */
    public function addToJednostkaOrganizacyjna(JednostkaOrganizacyjnaType $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof JednostkaOrganizacyjnaType) {
            throw new \InvalidArgumentException(sprintf('The jednostkaOrganizacyjna property can only contain items of type JednostkaOrganizacyjnaType, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->jednostkaOrganizacyjna[] = $item;
        return $this;
    }
}
