<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for zawartoscPocztex2021Type StructType
 * @subpackage Structs
 */
class ZawartoscPocztex2021Type extends AbstractStructBase
{
    /**
     * The zawartoscSpecjalna
     * Meta information extracted from the WSDL
     * - choice: zawartoscSpecjalna | zawartoscInna
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * @var string
     */
    public $zawartoscSpecjalna;
    /**
     * The zawartoscInna
     * Meta information extracted from the WSDL
     * - choice: zawartoscSpecjalna | zawartoscInna
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * @var string
     */
    public $zawartoscInna;
    /**
     * Constructor method for zawartoscPocztex2021Type
     * @uses ZawartoscPocztex2021Type::setZawartoscSpecjalna()
     * @uses ZawartoscPocztex2021Type::setZawartoscInna()
     * @param string $zawartoscSpecjalna
     * @param string $zawartoscInna
     */
    public function __construct($zawartoscSpecjalna = null, $zawartoscInna = null)
    {
        $this
            ->setZawartoscSpecjalna($zawartoscSpecjalna)
            ->setZawartoscInna($zawartoscInna);
    }
    /**
     * Get zawartoscSpecjalna value
     * @return string|null
     */
    public function getZawartoscSpecjalna()
    {
        return isset($this->zawartoscSpecjalna) ? $this->zawartoscSpecjalna : null;
    }
    /**
     * This method is responsible for validating the value passed to the setZawartoscSpecjalna method
     * This method is willingly generated in order to preserve the one-line inline validation within the setZawartoscSpecjalna method
     * This has to validate that the property which is being set is the only one among the given choices
     * @param mixed $value
     * @return string A non-empty message if the values does not match the validation rules
     */
    public function validateZawartoscSpecjalnaForChoiceConstraintsFromSetZawartoscSpecjalna($value)
    {
        $message = '';
        if (is_null($value)) {
            return $message;
        }
        $properties = [
            'zawartoscInna',
        ];
        try {
            foreach ($properties as $property) {
                if (isset($this->{$property})) {
                    throw new \InvalidArgumentException(sprintf('The property zawartoscSpecjalna can\'t be set as the property %s is already set. Only one property must be set among these properties: zawartoscSpecjalna, %s.', $property, implode(', ', $properties)), __LINE__);
                }
            }
        } catch (\InvalidArgumentException $e) {
            $message = $e->getMessage();
        }
        return $message;
    }
    /**
     * Set zawartoscSpecjalna value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @throws \InvalidArgumentException
     * @uses ZawartoscSpecjalnaEnum::valueIsValid()
     * @uses ZawartoscSpecjalnaEnum::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $zawartoscSpecjalna
     * @return ZawartoscPocztex2021Type
     */
    public function setZawartoscSpecjalna($zawartoscSpecjalna = null)
    {
        // validation for constraint: enumeration
        if (!ZawartoscSpecjalnaEnum::valueIsValid($zawartoscSpecjalna)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class ZawartoscSpecjalnaEnum', is_array($zawartoscSpecjalna) ? implode(', ', $zawartoscSpecjalna) : var_export($zawartoscSpecjalna, true), implode(', ', ZawartoscSpecjalnaEnum::getValidValues())), __LINE__);
        }
        // validation for constraint: choice(zawartoscSpecjalna, zawartoscInna)
        if ('' !== ($zawartoscSpecjalnaChoiceErrorMessage = self::validateZawartoscSpecjalnaForChoiceConstraintsFromSetZawartoscSpecjalna($zawartoscSpecjalna))) {
            throw new \InvalidArgumentException($zawartoscSpecjalnaChoiceErrorMessage, __LINE__);
        }
        if (is_null($zawartoscSpecjalna) || (is_array($zawartoscSpecjalna) && empty($zawartoscSpecjalna))) {
            unset($this->zawartoscSpecjalna);
        } else {
            $this->zawartoscSpecjalna = $zawartoscSpecjalna;
        }
        return $this;
    }
    /**
     * Get zawartoscInna value
     * @return string|null
     */
    public function getZawartoscInna()
    {
        return isset($this->zawartoscInna) ? $this->zawartoscInna : null;
    }
    /**
     * This method is responsible for validating the value passed to the setZawartoscInna method
     * This method is willingly generated in order to preserve the one-line inline validation within the setZawartoscInna method
     * This has to validate that the property which is being set is the only one among the given choices
     * @param mixed $value
     * @return string A non-empty message if the values does not match the validation rules
     */
    public function validateZawartoscInnaForChoiceConstraintsFromSetZawartoscInna($value)
    {
        $message = '';
        if (is_null($value)) {
            return $message;
        }
        $properties = [
            'zawartoscSpecjalna',
        ];
        try {
            foreach ($properties as $property) {
                if (isset($this->{$property})) {
                    throw new \InvalidArgumentException(sprintf('The property zawartoscInna can\'t be set as the property %s is already set. Only one property must be set among these properties: zawartoscInna, %s.', $property, implode(', ', $properties)), __LINE__);
                }
            }
        } catch (\InvalidArgumentException $e) {
            $message = $e->getMessage();
        }
        return $message;
    }
    /**
     * Set zawartoscInna value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @throws \InvalidArgumentException
     * @param string $zawartoscInna
     * @return ZawartoscPocztex2021Type
     */
    public function setZawartoscInna($zawartoscInna = null)
    {
        // validation for constraint: string
        if (!is_null($zawartoscInna) && !is_string($zawartoscInna)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($zawartoscInna, true), gettype($zawartoscInna)), __LINE__);
        }
        // validation for constraint: choice(zawartoscSpecjalna, zawartoscInna)
        if ('' !== ($zawartoscInnaChoiceErrorMessage = self::validateZawartoscInnaForChoiceConstraintsFromSetZawartoscInna($zawartoscInna))) {
            throw new \InvalidArgumentException($zawartoscInnaChoiceErrorMessage, __LINE__);
        }
        if (is_null($zawartoscInna) || (is_array($zawartoscInna) && empty($zawartoscInna))) {
            unset($this->zawartoscInna);
        } else {
            $this->zawartoscInna = $zawartoscInna;
        }
        return $this;
    }
}
