<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the first needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientBase class (each generated ServiceType class extends this class)
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'main.wsdl',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc...
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'main.wsdl',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for Add ServiceType
 */
$add = new Add($options);
/**
 * Sample call for addShipment operation/method
 */
if ($add->addShipment(new AddShipment()) !== false) {
    print_r($add->getResult());
} else {
    print_r($add->getLastError());
}
/**
 * Sample call for addReklamacje operation/method
 */
if ($add->addReklamacje(new AddReklamacje()) !== false) {
    print_r($add->getResult());
} else {
    print_r($add->getLastError());
}
/**
 * Sample call for addOdwolanieDoReklamacji operation/method
 */
if ($add->addOdwolanieDoReklamacji(new AddOdwolanieDoReklamacji()) !== false) {
    print_r($add->getResult());
} else {
    print_r($add->getLastError());
}
/**
 * Sample call for addRozbieznoscDoZapowiedziFaktur operation/method
 */
if ($add->addRozbieznoscDoZapowiedziFaktur(new AddRozbieznoscDoZapowiedziFaktur()) !== false) {
    print_r($add->getResult());
} else {
    print_r($add->getLastError());
}
/**
 * Sample call for addZalacznikDoReklamacji operation/method
 */
if ($add->addZalacznikDoReklamacji(new AddZalacznikDoReklamacji()) !== false) {
    print_r($add->getResult());
} else {
    print_r($add->getLastError());
}
/**
 * Samples for Change ServiceType
 */
$change = new Change($options);
/**
 * Sample call for changePassword operation/method
 */
if ($change->changePassword(new ChangePassword()) !== false) {
    print_r($change->getResult());
} else {
    print_r($change->getLastError());
}
/**
 * Samples for Send ServiceType
 */
$send = new Send($options);
/**
 * Sample call for sendEnvelope operation/method
 */
if ($send->sendEnvelope(new SendEnvelope()) !== false) {
    print_r($send->getResult());
} else {
    print_r($send->getLastError());
}
/**
 * Samples for Get ServiceType
 */
$get = new Get($options);
/**
 * Sample call for getUrzedyNadania operation/method
 */
if ($get->getUrzedyNadania(new GetUrzedyNadania()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getUrzedyWydajaceEPrzesylki operation/method
 */
if ($get->getUrzedyWydajaceEPrzesylki(new GetUrzedyWydajaceEPrzesylki()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getEnvelopeStatus operation/method
 */
if ($get->getEnvelopeStatus(new GetEnvelopeStatus()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getKarty operation/method
 */
if ($get->getKarty(new GetKarty()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPasswordExpiredDate operation/method
 */
if ($get->getPasswordExpiredDate(new GetPasswordExpiredDate()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getEnvelopeContentShort operation/method
 */
if ($get->getEnvelopeContentShort(new GetEnvelopeContentShort()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getEnvelopeContentFull operation/method
 */
if ($get->getEnvelopeContentFull(new GetEnvelopeContentFull()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAddressLabel operation/method
 */
if ($get->getAddressLabel(new GetAddressLabel()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getOutboxBook operation/method
 */
if ($get->getOutboxBook(new GetOutboxBook()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getFirmowaPocztaBook operation/method
 */
if ($get->getFirmowaPocztaBook(new GetFirmowaPocztaBook()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getEnvelopeList operation/method
 */
if ($get->getEnvelopeList(new GetEnvelopeList()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAddresLabelByGuid operation/method
 */
if ($get->getAddresLabelByGuid(new GetAddresLabelByGuid()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPlacowkiPocztowe operation/method
 */
if ($get->getPlacowkiPocztowe(new GetPlacowkiPocztowe()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getGuid operation/method
 */
if ($get->getGuid(new GetGuid()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getKierunki operation/method
 */
if ($get->getKierunki(new GetKierunki()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getKierunkiInfo operation/method
 */
if ($get->getKierunkiInfo(new GetKierunkiInfo()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getEnvelopeBufor operation/method
 */
if ($get->getEnvelopeBufor(new GetEnvelopeBufor()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getEPOStatus operation/method
 */
if ($get->getEPOStatus(new GetEPOStatus()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAddresLabelCompact operation/method
 */
if ($get->getAddresLabelCompact(new GetAddresLabelCompact()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAddresLabelByGuidCompact operation/method
 */
if ($get->getAddresLabelByGuidCompact(new GetAddresLabelByGuidCompact()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getEnvelopeBuforList operation/method
 */
if ($get->getEnvelopeBuforList(new GetEnvelopeBuforList()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getUbezpieczeniaInfo operation/method
 */
if ($get->getUbezpieczeniaInfo(new GetUbezpieczeniaInfo()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBlankietPobraniaByGuids operation/method
 */
if ($get->getBlankietPobraniaByGuids(new GetBlankietPobraniaByGuids()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getAccountList operation/method
 */
if ($get->getAccountList(new GetAccountList()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getProfilList operation/method
 */
if ($get->getProfilList(new GetProfilList()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getReklamacje operation/method
 */
if ($get->getReklamacje(new GetReklamacje()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getZapowiedziFaktur operation/method
 */
if ($get->getZapowiedziFaktur(new GetZapowiedziFaktur()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getListaPowodowReklamacji operation/method
 */
if ($get->getListaPowodowReklamacji(new GetListaPowodowReklamacji()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getEZDO operation/method
 */
if ($get->getEZDO(new GetEZDO()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getEZDOList operation/method
 */
if ($get->getEZDOList(new GetEZDOList()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getWplatyCKP operation/method
 */
if ($get->getWplatyCKP(new GetWplatyCKP()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getListaZgodEZwrotow operation/method
 */
if ($get->getListaZgodEZwrotow(new GetListaZgodEZwrotow()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPaczkaKorzysciInfo operation/method
 */
if ($get->getPaczkaKorzysciInfo(new GetPaczkaKorzysciInfo()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getJednostkaOrganizacyjna operation/method
 */
if ($get->getJednostkaOrganizacyjna(new GetJednostkaOrganizacyjna()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getPrintForParcel operation/method
 */
if ($get->getPrintForParcel(new GetPrintForParcel()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getShopEZwrotyList operation/method
 */
if ($get->getShopEZwrotyList(new GetShopEZwrotyList()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getLibrariesForLegalDeposits operation/method
 */
if ($get->getLibrariesForLegalDeposits(new GetLibrariesForLegalDeposits()) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Samples for Clear ServiceType
 */
$clear = new Clear($options);
/**
 * Sample call for clearEnvelope operation/method
 */
if ($clear->clearEnvelope(new ClearEnvelope()) !== false) {
    print_r($clear->getResult());
} else {
    print_r($clear->getLastError());
}
/**
 * Sample call for clearEnvelopeByGuids operation/method
 */
if ($clear->clearEnvelopeByGuids(new ClearEnvelopeByGuids()) !== false) {
    print_r($clear->getResult());
} else {
    print_r($clear->getLastError());
}
/**
 * Samples for Upload ServiceType
 */
$upload = new Upload($options);
/**
 * Sample call for uploadIWDContent operation/method
 */
if ($upload->uploadIWDContent(new UploadIWDContent()) !== false) {
    print_r($upload->getResult());
} else {
    print_r($upload->getLastError());
}
/**
 * Samples for Download ServiceType
 */
$download = new Download($options);
/**
 * Sample call for downloadIWDContent operation/method
 */
if ($download->downloadIWDContent(new DownloadIWDContent()) !== false) {
    print_r($download->getResult());
} else {
    print_r($download->getLastError());
}
/**
 * Samples for Set ServiceType
 */
$set = new Set($options);
/**
 * Sample call for setAktywnaKarta operation/method
 */
if ($set->setAktywnaKarta(new SetAktywnaKarta()) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Sample call for setEnvelopeBuforDataNadania operation/method
 */
if ($set->setEnvelopeBuforDataNadania(new SetEnvelopeBuforDataNadania()) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Sample call for setStatusZgodyNaEZwrot operation/method
 */
if ($set->setStatusZgodyNaEZwrot(new SetStatusZgodyNaEZwrot()) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Sample call for setJednostkaOrganizacyjna operation/method
 */
if ($set->setJednostkaOrganizacyjna(new SetJednostkaOrganizacyjna()) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Samples for Hello ServiceType
 */
$hello = new Hello($options);
/**
 * Sample call for hello operation/method
 */
if ($hello->hello(new Hello()) !== false) {
    print_r($hello->getResult());
} else {
    print_r($hello->getLastError());
}
/**
 * Samples for Create ServiceType
 */
$create = new Create($options);
/**
 * Sample call for createEnvelopeBufor operation/method
 */
if ($create->createEnvelopeBufor(new CreateEnvelopeBufor()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createAccount operation/method
 */
if ($create->createAccount(new CreateAccount()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createProfil operation/method
 */
if ($create->createProfil(new CreateProfil()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Sample call for createShopEZwroty operation/method
 */
if ($create->createShopEZwroty(new CreateShopEZwroty()) !== false) {
    print_r($create->getResult());
} else {
    print_r($create->getLastError());
}
/**
 * Samples for Update ServiceType
 */
$update = new Update($options);
/**
 * Sample call for updateEnvelopeBufor operation/method
 */
if ($update->updateEnvelopeBufor(new UpdateEnvelopeBufor()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateAccount operation/method
 */
if ($update->updateAccount(new UpdateAccount()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateProfil operation/method
 */
if ($update->updateProfil(new UpdateProfil()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Sample call for updateShopEZwroty operation/method
 */
if ($update->updateShopEZwroty(new UpdateShopEZwroty()) !== false) {
    print_r($update->getResult());
} else {
    print_r($update->getLastError());
}
/**
 * Samples for Move ServiceType
 */
$move = new Move($options);
/**
 * Sample call for moveShipments operation/method
 */
if ($move->moveShipments(new MoveShipments()) !== false) {
    print_r($move->getResult());
} else {
    print_r($move->getLastError());
}
/**
 * Samples for Is ServiceType
 */
$is = new Is($options);
/**
 * Sample call for isMiejscowa operation/method
 */
if ($is->isMiejscowa(new IsMiejscowa()) !== false) {
    print_r($is->getResult());
} else {
    print_r($is->getLastError());
}
/**
 * Sample call for isObszarMiasto operation/method
 */
if ($is->isObszarMiasto(new IsObszarMiasto()) !== false) {
    print_r($is->getResult());
} else {
    print_r($is->getLastError());
}
/**
 * Samples for Cancel ServiceType
 */
$cancel = new Cancel($options);
/**
 * Sample call for cancelReklamacja operation/method
 */
if ($cancel->cancelReklamacja(new CancelReklamacja()) !== false) {
    print_r($cancel->getResult());
} else {
    print_r($cancel->getLastError());
}
/**
 * Samples for Zamow ServiceType
 */
$zamow = new Zamow($options);
/**
 * Sample call for zamowKuriera operation/method
 */
if ($zamow->zamowKuriera(new ZamowKuriera()) !== false) {
    print_r($zamow->getResult());
} else {
    print_r($zamow->getLastError());
}
/**
 * Samples for Wyslij ServiceType
 */
$wyslij = new Wyslij($options);
/**
 * Sample call for wyslijLinkaOStatusieEZwrotu operation/method
 */
if ($wyslij->wyslijLinkaOStatusieEZwrotu(new WyslijLinkaOStatusieEZwrotu()) !== false) {
    print_r($wyslij->getResult());
} else {
    print_r($wyslij->getLastError());
}
/**
 * Samples for Delete ServiceType
 */
$delete = new Delete($options);
/**
 * Sample call for deleteShopEZwroty operation/method
 */
if ($delete->deleteShopEZwroty(new DeleteShopEZwroty()) !== false) {
    print_r($delete->getResult());
} else {
    print_r($delete->getLastError());
}
/**
 * Samples for Order ServiceType
 */
$order = new Order($options);
/**
 * Sample call for orderEasyReturnSolutionLabel operation/method
 */
if ($order->orderEasyReturnSolutionLabel(new OrderEasyReturnSolutionLabel()) !== false) {
    print_r($order->getResult());
} else {
    print_r($order->getLastError());
}
